mod users;
mod webfinger;

use axum::{Router, routing::get};
use users::users_get;
use webfinger::webfinger_get;

const HOST: &'static str = "testhost.com";
const USER: &'static str = "test";

#[tokio::main]
async fn main() {
    env_logger::init();

    let app = Router::new()
        .route("/", get(root))
        .route("/.well_know/webfinger", get(webfinger_get))
        .route("/users/{users}", get(users_get));

    let listener = tokio::net::TcpListener::bind("0.0.0.0:8000").await.unwrap();
    axum::serve(listener, app).await.unwrap();
}

async fn root() -> &'static str {
    "Hello World!"
}
